Bug 990158 - bin/wsprovide.sh help message needs correction
bin/wsprovide.sh help message needs correction
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.2.0
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 09:49 EDT by Pavel Janousek
Modified: 2013-12-15 11:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-30 09:49:55 EDT
Invocation of bin/wsprovide.sh without any parameter produces this help message:

[root@dev131 jbossas]# bin/wsprovide.sh 
Error: endpoint implementation was not specified!
WSProvideTask generates portable JAX-WS artifacts for an endpoint implementation.

usage: WSProvide [options] <endpoint class name>

options: 
    -h, --help                  Show this help message
    -k, --keep                  Keep/Generate Java source
    -w, --wsdl                  Enable WSDL file generation
    -a, --address=<address>     The generated port soap:address in wsdl
    -c, --classpath=<path>      The classpath that contains the endpoint
    -o, --output=<directory>    The directory to put generated artifacts
    -r, --resource=<directory>  The directory to put resource artifacts
    -s, --source=<directory>    The directory to put Java source
    -e, --extension             Enable SOAP 1.2 binding extension
    -q, --quiet                 Be somewhat more quiet
    -t, --show-traces           Show full exception stack traces
    -l, --load-provider         Load the provider and exit (debug utility)
[root@dev131 jbossas]#

Problematic part is 'usage: ...', there should be sth like (remove upper-letters):
"usage: wsprovide [options] <wsdl-url>"

Or better there should be wsprovide.sh for UNIX-like shells and wsprovide.bat for Windows-like, but I'm not sure if it is possible there.
Comment 1 Alessio Soldano 2013-08-26 06:31:24 EDT
There's a system property "program.name" which can be set to control the name there. Pavel, can you verify if adding "-Dprogram.name=wsconsume.sh" / "-Dprogram.name=wsconsume.bat" to the JAVA_OPTS in the wsconsume.sh/bat scripts addresses your concerns? If that's ok, I can create jiras for fixing upstream and fix it here too.
Comment 3 Pavel Janousek 2013-09-02 10:53:17 EDT
Hi Alessio, that's exactly what I'm looking for. Could you change both - wsconsume.sh/bat and wsprovide.sh/bat shell wrappers please?

Thank you.
Comment 5 Rostislav Svoboda 2013-10-01 02:21:36 EDT
Verified on EAP 6.2.0 ER3

Note You need to log in before you can comment on or make changes to this bug.